package com.alterdekim.flash.decompiler.item;

public enum ActionPushType {
    STRING(0),
    FLOAT(1),
    NULL(2),
    UNDEFINED(3),
    REGISTER(4),
    BOOLEAN(5),
    DOUBLE(6),
    INTEGER(7),
    POOL_INDEX(8),
    POOL_INDEX_BIG(9);

    public final int type;

    ActionPushType(int type) {
        this.type = type;
    }

    public static ActionPushType fromType(int type) {
        for( ActionPushType pushType : ActionPushType.values()) {
            if( pushType.type == type ) return pushType;
        }
        return NULL;
    }
}
